Commit 2eb0aa42 authored by Max Resch's avatar Max Resch

[appindicator] use gir package name "AppIndicator3"

Allow to additionally import "AppIndicator3" to "AyatanaAppIndicator3"
parent 066a19bb
...@@ -14,11 +14,16 @@ import gi ...@@ -14,11 +14,16 @@ import gi
from gi.repository import Gtk, GLib, Gdk from gi.repository import Gtk, GLib, Gdk
try: try:
gi.require_version('AyatanaAppIndicator3', '0.1') gi.require_version('AppIndicator3', '0.1')
from gi.repository import AyatanaAppIndicator3 as appindicator from gi.repository import AppIndicator3 as appindicator
ERRORMSG = None ERRORMSG = None
except (ValueError, ImportError): except (ValueError, ImportError):
ERRORMSG = 'Please install libappindicator3' try:
gi.require_version('AyatanaAppIndicator3', '0.1')
from gi.repository import AyatanaAppIndicator3 as appindicator
ERRORMSG = None
except (ValueError, ImportError):
ERRORMSG = 'Please install libappindicator3'
from gajim.common import app, ged from gajim.common import app, ged
from gajim.common import configpaths from gajim.common import configpaths
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment